Summary:	A DNS (Domain Name System) server
Name:		bind8
Version:	8.4.7
Release:	%mkrel 2
License:	distributable
Group:		System/Servers
URL:		http://www.isc.org/bind.html
Source0:	ftp://ftp.isc.org/isc/bind/src/%{version}/bind-src.tar.gz
Source1:	ftp://ftp.isc.org/isc/bind/src/%{version}/bind-src.tar.gz.asc
Source2:	bind-doc.tar.gz
Source3:	0.0.127.in-addr.arpa.db.bz2
Source4:	localhost.db.bz2
Source5:	named8.conf.bz2
Source6:	named8.init.bz2
Source7:	named8.sysconfig.bz2
Source8:	named8.logrotate.bz2
Source9:	bind8-chroot.sh.bz2
Source10:	named8.root.bz2
Patch0:		bind-8.2.2-rh.patch
Patch1:		bind-8.1.2-nonlist.patch
Patch3:		bind-8.2-host.patch
Patch4:		bind8-8.4.7-bind8_tagging.diff
BuildRequires:	flex
BuildRequires:	glibc-static-devel
BuildRequires:  byacc 
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named), 
which resolves host names to IP addresses, and a resolver library 
(routines for applications to use when interfacing with DNS).  A DNS 
server allows clients to name resources or objects and share the 
information with other network machines.  The named DNS server can be 
used on workstations as a caching name server, but is generally only 
needed on one machine for an entire network.  Note that the 
configuration files for making BIND act as a simple caching nameserver 
are included in the caching-nameserver package.  

Install the bind package if you need a DNS server for your network.  If
you want bind to act a caching name server, you will also need to install
the caching-nameserver package.

%package	utils
Summary:	DNS utilities:  host, dig, dnsquery, and nslookup
Group:		Networking/Other
Requires:	bind8 = %{version}-%{release}

%description	utils
bind8-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network 
addresses.

You should install bind8-utils if you need to get information from
DNS name servers.

%prep

%setup -q -c -a2 -a4
%patch0 -p1
%patch1 -p0
%patch3 -p1
%patch4 -p1

bzcat %{SOURCE3} > 0.0.127.in-addr.arpa.db
bzcat %{SOURCE4} > localhost.db
bzcat %{SOURCE5} > named8.conf
bzcat %{SOURCE6} > named8.init
bzcat %{SOURCE7} > named8.sysconfig
bzcat %{SOURCE8} > named8.logrotate
bzcat %{SOURCE9} > bind8-chroot.sh
bzcat %{SOURCE10} > named8.root

# clean up cvs junk
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

find . -name Makefile | xargs perl -pi -e "s/^INSTALL_LIB.*//g" # Fix build as user

rm -f compat/include/sys/cdefs.h

%build
# Oden Erikssons ugly, but dynamic hack instead of a static patch file...
cat > src/port/linux/Makefile.set << EOF
'CC=gcc -fPIC -D_GNU_SOURCE -DIP_RECVDSTADDR'
'CDEBUG=${RPM_OPT_FLAGS} -fPIC'
'DESTBIN=%{_bindir}'
'DESTSBIN=%{_sbindir}'
'DESTEXEC=%{_sbindir}'
'DESTMAN=%{_mandir}'
'DESTHELP=%{_libdir}'
'DESTETC=%{_sysconfdir}'
'DESTLIB=%{_libdir}'
'DESTINC=%{_includedir}'
'DESTRUN=/var/run/named8'
'EXE=8'
'LEX=flex -8 -I'
'YACC=yacc -d'
'SYSLIBS='
'LIBL=-lfl'
'INSTALL=install'
'MANDIR=man'
'MANROFF=cat'
'CATEXT=\$\$N'
'PS=ps p'
'AR=ar crus'
'RANLIB=:'
EOF

# force this to work
perl -pi -e "s|^DEFS.*|DEFS = -D_PATH_HELPFILE=\\\\\"%{_libdir}/nslookup8.help\\\\\"|g" src/bin/nslookup/Makefile

%make -C src
make clean all -C src SUBDIRS=../doc/man

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

# make some directories
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_mandir}/man{1,3,5,7,8}
install -d %{buildroot}/var/run/named8
install -d %{buildroot}/var/log/named8
install -d %{buildroot}/var/named8

make \
    DESTDIR=%{buildroot} \
    install -C src

make \
    DESTDIR=%{buildroot} \
    INSTALL="install" \
    STRIP="" \
    install -C src \
    SUBDIRS=../doc/man 

install -m0755 named8.init %{buildroot}%{_initrddir}/named8
install -m0644 named8.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/named8
install -m0644 named8.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/named8
install -m0755 bind8-chroot.sh %{buildroot}%{_sbindir}/bind8-chroot.sh

echo "; Use \"dig8 @A.ROOT-SERVERS.NET . ns\" to update this file if it's outdated." > named.cache
cat named8.root >> named.cache

install -m0644 named8.conf %{buildroot}%{_sysconfdir}/
install -m0644 named.cache %{buildroot}/var/named8/
install -m0644 0.0.127.in-addr.arpa.db %{buildroot}/var/named8/
install -m0644 localhost.db %{buildroot}/var/named8/

# rename these here
mv %{buildroot}%{_mandir}/man1/dnskeygen.1 \
    %{buildroot}%{_mandir}/man1/dnskeygen8.1
mv %{buildroot}%{_mandir}/man5/named.conf.5 \
    %{buildroot}%{_mandir}/man5/named8.conf.5
mv %{buildroot}%{_mandir}/man8/named.8 \
    %{buildroot}%{_mandir}/man8/named8.8
mv %{buildroot}%{_mandir}/man8/ndc.8 \
    %{buildroot}%{_mandir}/man8/ndc8.8
mv %{buildroot}%{_mandir}/man8/named-xfer.8 \
    %{buildroot}%{_mandir}/man8/named-xfer8.8
#
mv %{buildroot}%{_mandir}/man1/dig.1 \
    %{buildroot}%{_mandir}/man1/dig8.1
mv %{buildroot}%{_mandir}/man1/dnsquery.1 \
    %{buildroot}%{_mandir}/man1/dnsquery8.1
mv %{buildroot}%{_mandir}/man1/host.1 \
    %{buildroot}%{_mandir}/man1/host8.1
mv %{buildroot}%{_mandir}/man5/irs.conf.5 \
    %{buildroot}%{_mandir}/man5/irs8.conf.5
mv %{buildroot}%{_mandir}/man5/resolver.5 \
    %{buildroot}%{_mandir}/man5/resolver8.5
mv %{buildroot}%{_mandir}/man8/nslookup.8 \
    %{buildroot}%{_mandir}/man8/nslookup8.8
mv %{buildroot}%{_mandir}/man8/nsupdate.8 \
    %{buildroot}%{_mandir}/man8/nsupdate8.8
#
mv %{buildroot}%{_libdir}/nslookup.help \
    %{buildroot}%{_libdir}/nslookup8.help

##################################################################
# obeying new rpm policy, using the "rm" workaround
#
# these conflicts with glibc-devel
rm -f %{buildroot}%{_mandir}/man5/resolv.conf.5*
rm -f %{buildroot}%{_mandir}/man3/getaddrinfo.3*
rm -f %{buildroot}%{_mandir}/man3/getnetent.3*
rm -f %{buildroot}%{_mandir}/man3/resolver.3*

# these conflicts with man-pages
rm -f %{buildroot}%{_mandir}/man3/resolver.3*
rm -f %{buildroot}%{_mandir}/man3/getaddrinfo.3*
rm -f %{buildroot}%{_mandir}/man3/gethostbyname.3*
rm -f %{buildroot}%{_mandir}/man3/getipnodebyname.3*
rm -f %{buildroot}%{_mandir}/man3/getnameinfo.3*
rm -f %{buildroot}%{_mandir}/man3/getnetent.3*
rm -f %{buildroot}%{_mandir}/man7/mailaddr.7*
##################################################################

# nuke redundant stuff here
rm -f %{buildroot}%{_sbindir}/named-bootconf
rm -f %{buildroot}%{_mandir}/man8/named-bootconf.8
rm -f %{buildroot}%{_mandir}/man7/hostname.7

rm -f %{buildroot}%{_mandir}/man3/hesiod.3
rm -f %{buildroot}%{_mandir}/man3/inet_cidr.3
rm -f %{buildroot}%{_mandir}/man3/tsig.3
rm -f %{buildroot}%{_libdir}/*.a
rm -rf %{buildroot}%{_includedir}

%pre
%_pre_useradd named8 /var/named8 /bin/false

%post
%_post_service named8

%preun
%_preun_service named8

%postun
%_postun_userdel named8

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc src/CHANGES src/DNSSEC src/README src/SUPPORT src/TODO src/Version
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/named8.conf
%attr(0755,root,root) %{_initrddir}/named8
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/named8
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/named8
%{_sbindir}/bind8-chroot.sh
%{_sbindir}/dnskeygen8
%{_sbindir}/irpd8
%{_sbindir}/named8
%{_sbindir}/named-xfer8
%{_sbindir}/ndc8
%{_mandir}/man1/dnskeygen8.1*
%{_mandir}/man5/named8.conf.5*
%{_mandir}/man8/named8.8*
%{_mandir}/man8/ndc8.8*
%{_mandir}/man8/named-xfer8.8*
%attr(-,named8,named8) %dir /var/named8
%attr(-,root,root) %config /var/named8/named.cache
%attr(-,root,root) %config /var/named8/0.0.127.in-addr.arpa.db
%attr(-,root,root) %config /var/named8/localhost.db
%attr(-,named8,named8) %dir /var/run/named8
%attr(-,named8,named8) %dir /var/log/named8
     
%files utils
%defattr(-,root,root)
%{_bindir}/addr8
%{_bindir}/dig8
%{_bindir}/dnsquery8
%{_bindir}/host8
%{_bindir}/mkservdb8
%{_bindir}/nslookup8
%{_bindir}/nsupdate8
%{_libdir}/nslookup8.help
%{_mandir}/man1/dig8.1*
%{_mandir}/man1/dnsquery8.1*
%{_mandir}/man1/host8.1*
%{_mandir}/man5/irs8.conf.5*
%{_mandir}/man5/resolver8.5*
%{_mandir}/man8/nslookup8.8*
%{_mandir}/man8/nsupdate8.8*




%changelog
* Thu Apr 12 2007 Mandriva <devel@mandriva.com> 8.4.7-2mdv2008.0
+ Revision: 1037
+ EMPTYLOG: Man is the only animal that blushes -- or needs to. -- Mark Twain


* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 8.4.7-2mdv2007.0
+ Revision: 94300
- Import bind8

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 8.4.7-2mdk
- Fix BuildRequires ( dedicated to Zero_Dogg )

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 8.4.7-1mdk
- 8.4.7
- drop P2
- rediffed P4
- added the docs and contrib
- build some of the contrib tools

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 8.4.6-2mdk
- rebuilt against openssl-0.9.8a

* Wed Jan 26 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 8.4.6-1mdk
- 8.4.6

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 8.4.5-1mdk
- rename the whole shebang to bind8 and remove the chroot hacks

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 8.4.5-1mdk
- 8.4.5

* Sun Sep 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 8.4.5-0.RC7.1mdk
- 8.4.5-RC7

* Wed Aug 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 8.4.5-0.RC6.1mdk
- 8.4.5-RC6

* Sat Jun 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 8.4.5-0.RC4.1mdk
- 8.4.5-RC4
- move the jail to /var/lib/named-chroot
- updated S6

* Sun May 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 8.4.4-1mdk
- 8.4.4

